Bug 849694 - Remove Rubygems from WFK Maven repository
Remove Rubygems from WFK Maven repository
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TorqueBox (Show other bugs)
2.0.0.GA
Unspecified Unspecified
medium Severity urgent
: ER1
: 2.1.0
Assigned To: Marek Novotny
Oliver Kišš
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 11:38 EDT by Ben Browning
Modified: 2015-08-02 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:34:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Browning 2012-08-20 11:38:27 EDT
Right now Rubygems needed to build TorqueBox (rails, activerecord, json, etc) are making their way into the Maven repository shipped to customers as part of WFK. These need to be split out into a separate repository so that QE can run integration tests against TorqueBox without these gems making their want into the hands of the customer.
Comment 1 Marek Novotny 2012-09-25 06:06:14 EDT
I split the WFK repository into 2 zipped files. New one is jboss-wfk-2.1.0.ER1-maven-repository-compilation.zip

That zip file now contains only rubygems.
Comment 2 Karel Piwko 2012-11-30 10:34:26 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.